cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Go to solution
Highlighted

PHP is getting too old

Why after so many years is there no option to install a newer version of php.

 

I am getting warnings left and right and feel like my sites would be better off on another providers server as godaddy does only offer php from last century.

 

is this for a reason?

 

What is a developer to do, keep offering clients an inferior product or leave and get what we pay for somewhere else.

 

And what about having to add multiple labels before able to post???

Is it impossible for you to offer php?

What are the risks for my clients websites?
Why do we have to feel inferior with outdated php while the rest of the world is up to date?

 

I have seen this topic appearing many hundereds of times but no explanation from godaddy, is godaddy loosing touch with modern days.

 

Anyway, i need to renew my VPS soon, started to shop around to see what my options are.

 

Good luck to all with the same issue, we are all together on this slowly sinking ship.

 

3 REPLIES 3
Super User III
Super User III

Re: PHP is getting too old

@peter-hamilton 

 

To my knowledge, all the systems GoDaddy runs with the exception of certain legacy servers can handle the latest PHP versions. Are you sure you don't just need to upgrade your hosting?



I am a GoDaddy End User - Just Like You
* Please note that I offer free advice on this forum. I DO NOT answer private messages. Please ask your question in the proper forum so the answer can assist EVERYONE in the community and not just you. Thanks! *

Once your issue is resolved,
please be sure to come back and click accept for the solution

Get Better Support on the Community Boards!
Etiquette When Asking for Help from the Community


Re: PHP is getting too old

The control panel at godaddy only offers to upgrade to php 5.6 (I seem to remember, bad memory) and I already run that one.

 

There is no info on how to upgrade my php on my VPS beyond the two versionsI can see.

 

Nowhere can I find more info on if I can upgrade or how.

Super User III Super User III
Super User III
Solution

Re: PHP is getting too old

@peter-hamiltonIt sounds like you are on a classic or legacy Hosting Control Center plan.  The modern cPanel plans go up to PHP 7.3.  To switch it's basically buying a new plan and migrating over the website.